This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 100763 - -j MASQUERADE fails for nat table
-j MASQUERADE fails for nat table
Status: CLOSED DUPLICATE of bug 98241
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 22:41 EDT by Horst H. von Brand
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:57:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2003-07-24 22:41:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
"iptables -t nat -A POSTROUTING -s 10.0.0.0/24 -j MASQUERADE" fails. Deleting
the ipchains.o and ipfwadm.o modules and regenerating dependencies gets it to
succeed.

Version-Release number of selected component (if applicable):
2.4.21-20.1.2024.2.1.nptl

How reproducible:
Always

Steps to Reproduce:
1.iptables -t nat -A POSTROUTING -s 10.0.0.0/24 -j MASQUERADE
2.
3.
    

Actual Results:  Command fails, no NAT is set up

Expected Results:  Working NAT

Additional info:

Deleting the ipchains.o and ipfwadm.o modules and regenerating dependencies gets
it to succeed. They appear as dependencies (?) of ipt_MASQUERADE, and as they
can't load (due to iptables.o module), nothing works.
Comment 1 Gerald Teschl 2003-07-26 08:48:27 EDT

*** This bug has been marked as a duplicate of 98241 ***
Comment 2 Red Hat Bugzilla 2006-02-21 13:57:43 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.